QGIS Application - Bug report #4753
A layer only becomes visible if it is selected
2012-01-06 03:31 AM - Vasco Nunes

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Affected QGIS version:1.7.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14622
Description

If you're working with several layers and you need to turn visibility on and off in different layers, currently you need the layer you want to
turn visible/invisible to be selected, i.e. you need to first select the layer and then tick the checkbox. It would save some time and clicks for
users if the selecting step wouldn't be necessary.

History

#1 - 2012-01-13 11:32 AM - Giovanni Manghi
- Priority changed from Normal to Low

- Category set to Map Legend

- Status changed from Open to Feedback

Ola Vasco,

what desktop manager/OS do you use? I'm asking because selecting the layer before clicking on the checkbox is not necessary on both my Linux/Gnome

and Windows systems (at least on qgis-master). Please leave feedback.

#2 - 2012-01-17 02:45 AM - Vasco Nunes

| use Windows?7. Check this: http://youtu.be/wAXUdnemCP0

The problem is that sometimes it works fine and sometimes it doesn't. My it is worse when i have more layers loaded.

#3 - 2012-04-18 03:08 AM - Giovanni Manghi

Vasco Nunes wrote:

| use Windows?7. Check this: htto.//youtu.be/wAXUdnemCPO
The problem is that sometimes it works fine and sometimes it doesn't. My it is worse when i have more layers loaded.

a few changes have been made to TOC/legend in the past weeks, can you please give it a go on ggis-master (using osgeo4w) and report back? thanks.

#4 - 2012-09-04 12:10 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#5 - 2013-09-22 01:51 AM - Giovanni Manghi
http://youtu.be/wAXUdnemCP0
http://youtu.be/wAXUdnemCP0

- Resolution set to worksforme

- Status changed from Feedback to Closed

seems fixed to me, at least on qgis 2.0.
